#
# spec file for package apache2-mod_flvx
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           apache2-mod_flvx
Version:        0.0
Release:        7.41
Summary:        FLV Streaming Module
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://tperspective.blogspot.com/2009/02/apache-flv-streaming-done-right.html
Source1:        http://people.apache.org/~pquerna/modules/mod_flvx.c
Source2:        mod_flvx.conf
Patch1:         mod_flvx-bodera.patch
Patch2:         mod_flvx-fixes.patch
BuildRequires:  apache2-devel
BuildRequires:  apache-rpm-macros
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  apr-util-devel
BuildRequires:  apr-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Apache module that provides native pseudo-streaming support
for Flash video files (FLV).

%prep
%setup -q -c "%{name}-%{version}" -T
cp "%{SOURCE1}" .
%patch1
%patch2
cp "%{SOURCE2}" .

%build
%{apache_apxs} -c mod_flvx.c

%check
set +x
%apache_test_module_load -m flvx:mime -i mod_flvx.conf
set -x

%install
install -D -m0755 .libs/mod_flvx.so "%{buildroot}%{apache_libexecdir}/mod_flvx.so"
install -D -m0644 mod_flvx.conf "%{buildroot}%{apache_sysconfdir}/conf.d/mod_flvx.conf"

%files
%defattr(-,root,root)
%config(noreplace) %{apache_sysconfdir}/conf.d/mod_flvx.conf
%{apache_libexecdir}/mod_flvx.so

%changelog
* Tue Dec 19 2017 pgajdos@suse.com
- buildrequire apr-devel instead of libapr1-devel
* Fri Sep  4 2015 pgajdos@suse.com
- test module with %%apache_test_module_load
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Fri Oct 31 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
* Fri Sep 25 2009 crrodriguez@suse.de
- Requires:       apache2 %%{apache_mmn}
